| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ItemInfoTaskSplitter Class Reference
Inheritance diagram for Digikam::ItemInfoTaskSplitter:

## Public Member Functions
| ItemInfoTaskSplitter (const FileActionItemInfoList &list)
bool | hasNext () const
FileActionItemInfoList | next ()
Public Member Functions inherited from Digikam::FileActionItemInfoList
| FileActionItemInfoList (const FileActionItemInfoList &copy)
void | dbFinished () const
void | dbProcessed (int numberOfInfos) const
void | dbProcessedOne () const
| db worker progress info
void | finishedWriting () const
FileActionProgressItemContainer * | progress () const
void | schedulingForDB (const QString &action, FileActionProgressItemCreator *const creator)
void | schedulingForDB (int numberOfInfos, const QString &action, FileActionProgressItemCreator *const creator)
| before sending to db worker
void | schedulingForWrite (const QString &action, FileActionProgressItemCreator *const creator) const
void | schedulingForWrite (int numberOfInfos, const QString &action, FileActionProgressItemCreator *const creator) const
| db worker calls this before sending to file worker
void | written (int numberOfInfos) const
void | writtenToOne () const
| file worker calls this when finished

## Protected Attributes
int | m_n = 1

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::FileActionItemInfoList
static FileActionItemInfoList | continueTask (const QList< ItemInfo > &list, FileActionProgressItemContainer *const container)
static FileActionItemInfoList | create (const QList< ItemInfo > &list)
Public Attributes inherited from Digikam::FileActionItemInfoList
QExplicitlySharedDataPointer< FileActionProgressItemContainer > | container